/* ============================= */
/* INTRO */
/* ============================= */

.intro-caso-exito {
  background-color: var(--color-white);
  max-width: 1500px;
  width: 100%;
  padding: 3% 3% 3% 3%;
  margin-left: auto;
  margin-right: auto;
}

.container-caso-exito {
    display: flex;
    align-items: center;
    gap: 60px;
}

.logo-caso-exito {
  width: 300px;
  height: 300px;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;

  position: relative;
  background: var(--color-white); 

  z-index: 2;
}

.logo-caso-exito::before {
  content: "";
  position: absolute;
  inset: 0;
  border-radius: inherit;
  padding: 5px; 

  background: linear-gradient(
    180deg,
    var(--color-light-blue),
    var(--color-medium-blue)
  );

  -webkit-mask:
    linear-gradient(#fff 0 0) content-box,
    linear-gradient(#fff 0 0);
  -webkit-mask-composite: xor;
          mask-composite: exclude;

  pointer-events: none;
}

.logo-caso-exito img {
  max-width: 80%;
}

.detail-caso-exito {
    flex: 1;
}

.detail-caso-exito h3,
.detail-caso-exito h4,
.detail-caso-exito h5,
.detail-caso-exito h6,
.detail-caso-exito p,
.detail-caso-exito ul,
.detail-caso-exito ol  {
    margin-bottom: 15px;
}

/* ========= TABLET (≤ 1024px) ========= */
@media (max-width: 1024px) {
.intro-caso-exito {
  padding: 5% 5% 5% 5%;
}

.container-caso-exito {
  gap: 45px;
}

.logo-caso-exito {
  width: 250px;
  height: 250px;
}
}

/* ========= MÓVIL (≤ 767px) ========= */
@media (max-width: 767px) {
.intro-caso-exito {
  padding: 8% 8% 8% 8%;
}

.container-caso-exito {
  flex-direction: column;
  text-align: center;
  gap: 30px;
}

.detail-caso-exito {
  flex: 1;
  justify-items: center;
}

.logo-caso-exito {
  width: 200px;
  height: 200px;
}
}

/* Animaciones */
.logo-caso-exito.animate-in {
  animation: fadeInLeft 1.5s ease forwards;
}

.detail-caso-exito.animate-in {
  animation: fadeInRight 1.5s ease forwards;
}

/* En tablets y móviles, ambos elementos vienen de arriba */
@media (max-width: 1024px) {
  .logo-caso-exito.animate-in,
  .detail-caso-exito.animate-in {
    animation: fadeInUp 1.5s ease forwards !important;
  }
}

/* ============================= */
/* Razones claves */
/* ============================= */
.razones-section {
  background-color: var(--color-white);
  overflow: hidden;
}

.razones-container {
  max-width: 1500px;
  margin-left: auto;
  margin-right: auto;
  padding: 3% 3% 3% 3%;
  align-items: center;
}

.razones-header {
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  margin-bottom: 20px;
}

.razones-grid {
  list-style: none;
  display: flex;
  flex-wrap: wrap;
  gap: 40px 30px;
  justify-content: center;
  padding: 0;
}

.razones-item {
  text-align: center;
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 100%;
  flex: 0 0 250px;
  max-width: 300px;
}

.razones-item img {
  width: 70px;
  height: 70px;
  margin-bottom: 10px;
  transition: transform 0.3s ease;
}

.razones-item:hover img{
  transform: translateY(-5px);
}


/* ========= TABLET (≤ 1024px) ========= */
@media (max-width: 1024px) {
.razones-container {
  padding: 5% 5% 5% 5%;
}

.razones-grid {
  gap: 30px 25px;
}

.razones-item img {
  width: 60px;
  height: 60px;
}
}

/* ========= MÓVIL (≤ 767px) ========= */
@media (max-width: 767px) {
.razones-container {
  padding: 8% 8% 8% 8%;
}

.razones-grid {
  gap: 25px 20px;
}

.razones-header {
  margin-bottom: 15px;
}

.razones-item {
  flex: 0 0 calc(50% - 30px);
  margin-bottom: 20px;
}

.razones-item img {
  width: 50px;
  height: 50px;
}
}

/*Animaciones */
.razones-item {  
  --visibility-progress: 0;
  opacity: var(--visibility-progress);
  transform: translateY(calc(30px * (1 - var(--visibility-progress))));
  transition: opacity 0.1s linear, transform 0.1s linear;
}

.razones-item.animate-in {
  --visibility-progress: 1;
}

/* ============================= */
/* DETALLES DEL SERVICIO PRESTADO */
/* ============================= */
.detalles-section {
  background-color: var(--color-white);
  overflow: hidden;
}

.detalles-container {
  max-width: 1500px;
  margin-left: auto;
  margin-right: auto;
  padding: 3% 3% 3% 3%;
  align-items: center;
}

.detalles-header {
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  margin-bottom: 10px;
}

.flujo-header {
  text-align: center;
}

.logo {
  max-width: 225px;
}

.flujo-content {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 120px;
}

.flujo-lines {
  position: relative;
  padding-bottom: 20px;
}

#svg-flow {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 1;
}

.flujo-content.first-node {
  margin: 0 0 -3% 0;
}

.flujo-content.second-node {
  margin: -3% 0 -3% 0;
}

.flujo-content.third-node {
  margin: -3% 0 0 0;
}

.flujo-content.third-node .flujo-column.column-2 {
  margin: 0 0 0 -23%;
}

.flujo-column {
  display: flex;
  gap: 30px;
  max-width: 750px;
  justify-content: center;
  align-items: center;
}

.flujo-column.column-1 {
  justify-content: flex-end;
}

.flujo-column.column-2 {
  justify-content: flex-start;
}

.icon-wrapper {
  max-width: 30%;
  z-index: 2;
}

.content-wrapper {
  max-width: 70%;
  min-width: 0;
  z-index: 2;
  background: rgba(255, 255, 255, 0.75);
  border-radius: 10px;
  flex-shrink: 2; 
}

.content-wrapper h4 {
  margin-bottom: 10px;
}

.circle-bg {
  width: 150px;
  height: 150px;
  background: linear-gradient(0deg, var(--color-dark-blue) 0%, var(--color-medium-blue) 100%);
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  color: white;
}

.circle-bg img {
  width: 70px;
  height: 70px;
}

.content-wrapper ul {
  margin-left: 20px;
}

.flow-section {
  margin-top: 30px;
  overflow: hidden;
}

.flow-container {
  margin: 0 auto;
  display: flex;
  justify-content: space-between;
  align-items: center;
  position: relative;
  gap: 30px;
}


.flow-container > *:nth-child(3) {
  flex-shrink: 1;
  min-width: 0;
}

.flow-lines {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 1;
  pointer-events: none;
}

.flow-col {
  flex: 1;
  display: flex;
  flex-direction: column;
  gap: 30px;
  z-index: 4;
}

.left-side {
  text-align: right;
  align-items: flex-end;
}

.right-side {
  text-align: left;
  align-items: flex-start;
}

.flow-center {
  z-index: 3;
  display: flex;
  justify-content: center;
  max-width: 300px;
}

.hub-circle {
  background: linear-gradient(0deg, var(--color-dark-blue) 0%, var(--color-medium-blue) 100%);
  color: var(--color-white);
  border-radius: 50%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  text-align: center;
  font-weight: 500;
  width: 190px;
  height: 190px;
  padding: 15px;
  aspect-ratio: 1 / 1;
}

.hub-circle h4 {
  color: var(--color-white);
  font-size: 18px;
  padding: 5px;
}

.hub-icon {
  margin-bottom: 10px;
}

.hub-icon img {
  width: 70px;
  height: 70px;
}

.flow-item {
  display: flex;
  align-items: center;
  gap: 5px;
  width: 100%;
  max-width: 300px;
}

.left-side .flow-item {
  flex-direction: row-reverse;
}

.bullet {
  width: 30px;
  height: 30px;
  background: var(--color-medium-blue);
  border-radius: 50%;
  flex-shrink: 0;
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 14px;
}

.bullet.inicioyfin {
  margin: 0 auto;
  background: var(--color-dark-blue);
}

.item-text {
  color: var(--color-dark-gray);
}

.entregables-flujo {
  margin: 0 auto;
  max-width: 1200px;
  text-align: center;
}

.entregables-flujo h4 {
  margin-bottom: 30px;
}

.entregables-container {
  list-style: none;
  display: flex;
  flex-wrap: wrap;
  gap: 40px 30px;
  justify-content: center;
  padding: 0;
}

.entregable-card {
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  width: 100%;
  flex: 0 0 150px;
  max-width: 300px;
}

.icon-box {
  display: flex;
  align-items: center;
  justify-content: center;
  color: var(--color-medium-blue);
  width: 50px;
  height: 50px;
  margin-bottom: 10px;
  transition: transform 0.3s ease;
}

.entregable-card:hover .icon-box {
  transform: translateY(-5px);
}

.icon-box img {
  width: 50px;
  height: 50px;
}

/* ========= TABLET (≤ 1024px) ========= */
@media (max-width: 1224px) and (min-width: 1025px) {
.flujo-content {
  gap: 100px;
}

.logo {
  max-width: 210px;
}

.flujo-content.first-node {
  margin: 0 0 -2% 0;
}

.flujo-content.second-node {
  margin: -2% 0 -2% 0;
}

.flujo-content.third-node {
  margin: -2% 0 0 0;
}

.flujo-content.first-node .flujo-column.column-2 {
  margin: 0 0 0 -10%;
}

.flujo-content.second-node .flujo-column.column-1 {
  margin: 0 -10% 0 0;
}

.flujo-content.third-node .flujo-column.column-2 {
  margin: 0 0 0 -10%;
}

.circle-bg {
  width: 130px;
  height: 130px;
}

.circle-bg img {
  width: 65px;
  height: 65px;
}

.icon-box img {
  width: 45px;
  height: 45px;
}

.entregables-container {
  gap: 25px 20px;
}
}

/* ========= TABLET (≤ 1024px) ========= */
@media (max-width: 1024px) {
.detalles-container {
  padding: 5% 5% 5% 5%;
}

.logo {
  max-width: 200px;
}

.flujo-content {
  gap: 0px;
}

.flujo-content.first-node {
    margin: 0 0 -1% 0;
}

.flujo-content.second-node {
    margin: -1% 0 -1% 0;
}

.flujo-content.third-node {
    margin: -1% 0 0 0;
}

.flujo-content.first-node .flujo-column.column-2 {
  margin: 0 0 0 -20%;
}

.flujo-content.second-node .flujo-column.column-1 {
  margin: 0 -20% 0 0;
}

.flujo-content.third-node .flujo-column.column-2 {
  margin: 0 0 0 -20%;
}

.circle-bg {
  width: 100px;
  height: 100px;
}

.circle-bg img {
  width: 50px;
  height: 50px;
}

.hub-circle {
  width: 170px;
  height: 170px;
  padding: 10px;
}

.hub-circle h4 {
  font-size: 16px;
}

.hub-icon {
  margin-bottom: 5px;
}

.hub-icon img {
  width: 60px;
  height: 60px;
}

.flow-col {
  gap: 25px;
}

.bullet {
  width: 25px;
  height: 25px;
  font-size: 13px;
}

.icon-box {
    margin-bottom: 5px;
}

.icon-box img {
  width: 40px;
  height: 40px;
}

.entregable-card {
  flex: 0 0 140px;
  max-width: 280px;
}

}

/* ========= MÓVIL (≤ 767px) ========= */
@media (max-width: 767px) {
.detalles-container {
  padding: 8%;
}

.logo {
  max-width: 175px;
}

.flujo-content {
  grid-template-columns: repeat(1, 1fr);
  gap: 0px;
}

.flujo-content.first-node {
    margin: 90px 0;
}

.flujo-content.second-node {
     margin: 70px 0;
}

.flujo-content.third-node {
    margin: 70px 0;
}

.flujo-content.first-node .flujo-column.column-2 {
  margin: 0px;
}

.flujo-content.second-node .flujo-column.column-1 {
  margin: 0;
}

.flujo-content.third-node .flujo-column.column-2 {
  margin: 0px;
}

.hub-circle {
  width: 110px;
  height: 110px;
  padding: 5px;
}

.hub-circle h4 {
  font-size: 12px;
}

.hub-icon {
  margin-bottom: 0px;
}

.hub-icon img {
  width: 40px;
  height: 40px;
}

.flow-container {
  gap: 10px;
}

.flow-col {
  gap: 25px;
}

.bullet {
  width: 20px;
  height: 20px;
  font-size: 12px;
}

.icon-box img {
  width: 35px;
  height: 35px;
}

.entregables-container {
  gap: 20px 15px;
}

.flujo-column {
  gap: 45px;
}

.entregable-card {
  flex: 0 0 130px;
  max-width: 260px;
}
}